Issues compiling qbottorrent on diet-pi...

Other platforms, generic questions.

Moderators: Moderator, Global Moderator

Post Reply
qed5
Newbie
Newbie
Posts: 1
Joined: Sat Sep 07, 2019 3:23 am

Issues compiling qbottorrent on diet-pi...

Post by qed5 » Sat Sep 07, 2019 3:33 am

Hi there,

Just following this guide (https://github.com/qbittorrent/qBittorr ... endencies-) to install on a RPI with DietPi, but got to the section for Compiling qBittorrent-nox, entered "./configure --disable-gui --enable-systemd --with-boost-libdir=/usr/lib/arm-linux-gnueabihf"

And got the following error:

Code: Select all

....
checking if compiler is using C++11 or later mode... no
checking if compiler supports C++11... no
configure: error: A compiler supporting C++11 is required.
....
Anyone know if there is a fix for this?

Also, since its a requirement to have a compiler supporting C++11 for the qbittorrent install, shouldn't this be checked as part of the dependencies?

Thanks in advance.

DietPi v6.25.3
- Device model : RPi 3 Model B (armv7l)
- qBittorrent: git clone -b v4_1_x https://github.com/qbittorrent/qBittorrent
- libtorrent 1.1.x.

Post Reply